HELM(1)

NAME

helm-upgrade - upgrade a release

SYNOPSIS

helm upgrade [RELEASE] [CHART]

DESCRIPTION

This command upgrades a release to a new version of a chart.

The upgrade arguments must be a release and chart. The chart argument can be either: a chart reference('stable/mariadb'), a path to a chart directory, a packaged chart, or a fully qualified URL. For chart references, the latest version will be specified unless the '--version' flag is set.

To override values in a chart, use either the '--values' flag and pass in a file or use the '--set' flag and pass configuration from the command line.

You can specify the '--values'/'-f' flag multiple times. The priority will be given to the last (right-most) file specified. For example, if both myvalues.yaml and override.yaml contained a key called 'Test', the value set in override.yaml would take precedence:

    $ helm upgrade -f myvalues.yaml -f override.yaml redis ./redis

You can specify the '--set' flag multiple times. The priority will be given to the last (right-most) set specified. For example, if both 'bar' and 'newbar' values are set for a key called 'foo', the 'newbar' value would take precedence:

    $ helm upgrade --set foo=bar --set foo=newbar redis ./redis

OPTIONS

--ca-file=""
    verify certificates of HTTPS-enabled servers using this CA bundle

--cert-file=""
    identify HTTPS client using this SSL certificate file

--devel[=false]
    use development versions, too. Equivalent to version '>0.0.0-a'. If --version is set, this is ignored.

--dry-run[=false]
    simulate an upgrade

--force[=false]
    force resource update through delete/recreate if needed

-i, --install[=false]
    if a release by this name doesn't already exist, run an install

--key-file=""
    identify HTTPS client using this SSL key file

--keyring="~/.gnupg/pubring.gpg"
    path to the keyring that contains public signing keys

--namespace="default"
    namespace to install the release into (only used if --install is set)

--no-hooks[=false]
    disable pre/post upgrade hooks

--recreate-pods[=false]
    performs pods restart for the resource if applicable

--repo=""
    chart repository url where to locate the requested chart

--reset-values[=false]
    when upgrading, reset the values to the ones built into the chart

--reuse-values[=false]
    when upgrading, reuse the last release's values, and merge in any new values. If '--reset-values' is specified, this is ignored.

--set=[]
    set values on the command line (can specify multiple or separate values with commas: key1=val1,key2=val2)

--timeout=300
    time in seconds to wait for any individual kubernetes operation (like Jobs for hooks)

--tls[=false]
    enable TLS for request

--tls-ca-cert="$HELM_HOME/ca.pem"
    path to TLS CA certificate file

--tls-cert="$HELM_HOME/cert.pem"
    path to TLS certificate file

--tls-key="$HELM_HOME/key.pem"
    path to TLS key file

--tls-verify[=false]
    enable TLS for request and verify remote

-f, --values=[]
    specify values in a YAML file or a URL(can specify multiple)

--verify[=false]
    verify the provenance of the chart before upgrading

--version=""
    specify the exact chart version to use. If this is not specified, the latest version is used

--wait[=false]
    if set, will wait until all Pods, PVCs, Services, and minimum number of Pods of a Deployment are in a ready state before marking the release as successful. It will wait for as long as --timeout

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra